Find categories with listing quality issues

You can use the Item listing quality details and Item count with listing quality issues APIs to identify to identify all item categories that currently have items with listing quality issues and retrieve the items count.

These APIs help identify items that have problems with your listings so that you can fix the issues and increase sales with better-quality listings.

Endpoint

Item count with listing quality issues

GET https://marketplace.walmartapis.com/v3/insights/items/listingQuality/count

Request categories with listing quality issues

Step 1: Get categories with listing quality issues

Call the /v3/insights/items/listingQuality/count endpoint.

The response returns the number of items with listing quality issues for each category. You can also filter the results to include trending items, Walmart Fulfillment Services (WFS)-eligible items, customer favorites, or only items with listing quality issues.

Step 2: Filter the results

Use the following query parameters to narrow the results returned by the API.

Query parameterDescription
viewTrendingItemsInclude or exclude trending items from the results.
wfsFlagInclude or exclude Walmart Fulfillment Services (WFS)-eligible items.
hasIssueReturn only items with listing quality issues (1) or exclude items with issues (0).
inDemandIndicatorInclude or exclude customer favorite (in-demand) items. Set this parameter to true to return only customer favorite items.
typeReturn counts by category (default) or brand.
limitSpecify the maximum number of results to return.
offsetSpecify the starting position for paginated results.

Note

The wfsFlag parameter applies only to sellers that participate in Walmart Fulfillment Services (WFS) and have published items that are eligible for WFS.

You can combine these parameters to return the categories that are most relevant to your business. For example, you can return only trending customer favorite items that have listing quality issues by setting viewTrendingItems=true, inDemandIndicator=true, and hasIssue=1.

Sample request

Return categories for trending customer favorite items with listing quality issues.

curl --request GET \ --url 'https://marketplace.walmartapis.com/v3/insights/items/listingQuality/count?viewTrendingItems=true&hasIssue=1&inDemandIndicator=true' \ --header 'accept: application/json'

Or, request listing quality details for a specific SKU.

curl --request POST \ --url 'https://marketplace.walmartapis.com/v3/insights/items/listingQuality/items?limit=200' \ --header 'accept: application/json' \ --header 'content-type: application/json' \ --data '
{ "query": { "field": "sku", "value": "WB 433KP412-12" }
}
'

Sample response

The Item count with listing quality issues API returns the following information:

  • category – The category name.
  • offerCount – The number of items with listing quality issues in the category.
  • productType – A list of product types within the category.
  • productTypeName – The product type name.
  • offerCount (within productType) – The number of items with issues for that product type.

For example, if your Furniture category contains items with listing quality issues, the response might look like this:

{ "category": "Furniture", "offerCount": 47000, "productType": [ { "productTypeName": "Table", "offerCount": 20000 } ]
}

Related links

To learn more about Listing Quality issues, go to this Marketplace Learn article.

To get a list of hints to help you fix these content issues with your item listings, go to the Content and Discoverability section in this Marketplace Learn article.

To review items that are Walmart Best Sellers, go to Assortment Growth in the Seller Center .


Did this page help you?